Subject: bug#27908: closed (Re: [bug#27908] [PATCH] gnu: calibre: Add python2-msgpack as an native-input.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Aug 2017 17:32:02 +0000

Your bug report

#27908: [PATCH] gnu: calibre: Add python2-msgpack as an native-input.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27908: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27908
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#27908] [PATCH] gnu: calibre: Add python2-msgpack as an native-input.
From: Manolis Ragkousis <[email-masked]>
To: [email-masked]
Date: Wed, 2 Aug 2017 20:31:16 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed to master.

On 08/02/2017 08:12 PM, Manolis Ragkousis wrote:
> Hey Efraim
> 
> On 08/01/2017 06:39 PM, Efraim Flashner wrote:
>> Looks good to me
>>
> 
> I looked at my patch again and I think that python2-msgpack should be an
> input, not a native-input. It's needed at run-time. I will make the
> appropriate changes and push to master.
> 
> Thank you,
> Manolis
> 
> 
> 

Subject: [PATCH] gnu: calibre: Add python2-msgpack as an native-input.
From: [email-masked]
To: [email-masked]
Cc: Manolis Ragkousis <[email-masked]>
Date: Tue, 1 Aug 2017 18:02:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Manolis Ragkousis <[email-masked]>

* gnu/packages/ebook.scm (calibre)[native-inputs]: Add python2-msgpack.
---
 gnu/packages/ebook.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index bbb127a7d..4d893ec48 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -41,6 +41,7 @@
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages serialization)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xorg))
@@ -100,7 +101,9 @@
        ;; also creates lots of messages
        ;; mkdir: cannot create directory '/homeless-shelter': Permission denied
        ("python2-flake8" ,python2-flake8)
-       ("xdg-utils" ,xdg-utils)))
+       ("xdg-utils" ,xdg-utils)
+       ;; python2-msgpack is needed for the network content server to work.
+       ("python2-msgpack" ,python2-msgpack)))
     ;; Beautifulsoup3 is bundled but obsolete and not packaged, so just leave it bundled.
     (inputs
      `(("chmlib" ,chmlib)
-- 
2.13.3